use crate::http::error::AppError;
use axum::http::StatusCode;
use thiserror::Error;

#[derive(Error, Debug)]
pub enum StackError {
    #[error("stack not found")]
    NotFound,
}

impl From<StackError> for AppError {
    fn from(value: StackError) -> Self {
        match value {
            StackError::NotFound => AppError::Client {
                status: StatusCode::NOT_FOUND,
                code: "stack-not-found",
                message: "stack not found".to_string(),
            },
        }
    }
}
