use axum::{extract::State, http::StatusCode};

use crate::{http::error::Result, stack::compose, AppState};

pub(super) async fn check_stack_file(
    State(state): State<AppState>,
    body: String,
) -> Result<StatusCode> {
    compose::check(&state.arion_bin, &body).await?;
    Ok(StatusCode::NO_CONTENT)
}
